package com.hxhq.business.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.annotation.Compare;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 试验-申请单对象 t_study_form_apply
 *
 * @author hxhq
 * @date 2026-01-04
 */
@TableName("t_study_form_apply")
public class StudyFormApply extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属试验id */
    private Long studyId;

    /** 所属试验学科id */
    private Long studySubjectId;

    /** 试验id */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long syId;

    /** 部门id */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long bmId;

    /** sdid */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long sdId;

    /** 表单编号 */
    private String bdbh;

    /** 表单名称 */
    @Compare(name = "表单名称",nameEn = "Preset Name")
    private String bdmc;

    /** 表单说明 */
    @Compare(name = "表单说明",nameEn = "Preset Description")
    private String bdsm;

    /** 模板id */
    private Long templateId;

    /** 表单内容 */
    private String bdnr;

    /** 表单归属人id */
    private Long userId;

    /** 表单归属人名称 */
    private String userMc;

    /** 表单归属人名称-英文 */
    private String userMcEn;

    /** 是否补录 */
    @Compare(name = "是否补录",nameEn = "是否补录")
    private String sfbl;

    /** 表单状态：1：填报中；3：已提交；5：已复核；6：未通过；7：已完成；9：待废止；11：已废止 */
    private Integer bdzt;

    /** 提交时间 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date tjsj;

    /** 字段修改记录 */
    private String zdxgjl;

    /** 复核意见记录 */
    private String fhyjjl;

    /** 字段勾选记录 */
    private String zdgxjl;

    /** 签名意义 */
    @TableField(exist = false)
    private String qmyy;

    /** 签名人密码 */
    @TableField(exist = false)
    private String qmrmm;

    /** 模板名称 */
    @TableField(exist = false)
    @Compare(name = "模板名称")
    private String templateMc;

    /** 模板名称-英文 */
    @TableField(exist = false)
    private String templateMcEn;

    /** 模板编号 */
    @TableField(exist = false)
    private String templateSn;

    /** 模板编号 */
    @TableField(exist = false)
    private String templateShowSn;

    /** 模板导出类 */
    @TableField(exist = false)
    private String templateExportClass;

    /** 模板导出方法 */
    @TableField(exist = false)
    private String templateExportMethod;

    /** 模板所属部门/学科 */
    @TableField(exist = false)
    private Long templateDeptId;

    /** 试验编号 */
    @TableField(exist = false)
    private String studySn;

    /** 试验名称 */
    @TableField(exist = false)
    private String studyMc;

    public Long getSyId() {
        return syId;
    }

    public void setSyId(Long syId) {
        this.syId = syId;
    }

    public Long getBmId() {
        return bmId;
    }

    public void setBmId(Long bmId) {
        this.bmId = bmId;
    }

    public Long getSdId() {
        return sdId;
    }

    public void setSdId(Long sdId) {
        this.sdId = sdId;
    }

    public String getTemplateMcEn() {
        return templateMcEn;
    }

    public void setTemplateMcEn(String templateMcEn) {
        this.templateMcEn = templateMcEn;
    }

    public String getTemplateShowSn() {
        return templateShowSn;
    }

    public void setTemplateShowSn(String templateShowSn) {
        this.templateShowSn = templateShowSn;
    }

    public String getTemplateExportClass() {
        return templateExportClass;
    }

    public void setTemplateExportClass(String templateExportClass) {
        this.templateExportClass = templateExportClass;
    }

    public String getTemplateExportMethod() {
        return templateExportMethod;
    }

    public void setTemplateExportMethod(String templateExportMethod) {
        this.templateExportMethod = templateExportMethod;
    }

    public String getUserMcEn() {
        return userMcEn;
    }

    public void setUserMcEn(String userMcEn) {
        this.userMcEn = userMcEn;
    }

    public String getZdxgjl() {
        return zdxgjl;
    }

    public void setZdxgjl(String zdxgjl) {
        this.zdxgjl = zdxgjl;
    }

    public String getFhyjjl() {
        return fhyjjl;
    }

    public void setFhyjjl(String fhyjjl) {
        this.fhyjjl = fhyjjl;
    }

    public String getZdgxjl() {
        return zdgxjl;
    }

    public void setZdgxjl(String zdgxjl) {
        this.zdgxjl = zdgxjl;
    }

    public String getStudySn() {
        return studySn;
    }

    public void setStudySn(String studySn) {
        this.studySn = studySn;
    }

    public String getStudyMc() {
        return studyMc;
    }

    public void setStudyMc(String studyMc) {
        this.studyMc = studyMc;
    }

    public String getQmyy() {
        return qmyy;
    }

    public void setQmyy(String qmyy) {
        this.qmyy = qmyy;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public String getTemplateMc() {
        return templateMc;
    }

    public void setTemplateMc(String templateMc) {
        this.templateMc = templateMc;
    }

    public String getTemplateSn() {
        return templateSn;
    }

    public void setTemplateSn(String templateSn) {
        this.templateSn = templateSn;
    }

    public Long getTemplateDeptId() {
        return templateDeptId;
    }

    public void setTemplateDeptId(Long templateDeptId) {
        this.templateDeptId = templateDeptId;
    }

    public void setStudyId(Long studyId)
    {
        this.studyId = studyId;
    }

    public Long getStudyId()
    {
        return studyId;
    }

    public void setStudySubjectId(Long studySubjectId)
    {
        this.studySubjectId = studySubjectId;
    }

    public Long getStudySubjectId()
    {
        return studySubjectId;
    }

    public void setBdbh(String bdbh)
    {
        this.bdbh = bdbh;
    }

    public String getBdbh()
    {
        return bdbh;
    }

    public void setBdmc(String bdmc)
    {
        this.bdmc = bdmc;
    }

    public String getBdmc()
    {
        return bdmc;
    }

    public void setBdsm(String bdsm)
    {
        this.bdsm = bdsm;
    }

    public String getBdsm()
    {
        return bdsm;
    }

    public void setTemplateId(Long templateId)
    {
        this.templateId = templateId;
    }

    public Long getTemplateId()
    {
        return templateId;
    }

    public void setBdnr(String bdnr)
    {
        this.bdnr = bdnr;
    }

    public String getBdnr()
    {
        return bdnr;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setUserMc(String userMc)
    {
        this.userMc = userMc;
    }

    public String getUserMc()
    {
        return userMc;
    }

    public void setSfbl(String sfbl)
    {
        this.sfbl = sfbl;
    }

    public String getSfbl()
    {
        return sfbl;
    }

    public void setBdzt(Integer bdzt)
    {
        this.bdzt = bdzt;
    }

    public Integer getBdzt()
    {
        return bdzt;
    }

    public void setTjsj(Date tjsj)
    {
        this.tjsj = tjsj;
    }

    public Date getTjsj()
    {
        return tjsj;
    }

}
